Rudiments: socketclient Class Reference

Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
socketclient Class Reference

Inherits client.

Inherited by inetsocketclient, and unixsocketclient.

## Public Member Functions
| socketclient ()
| socketclient (const socketclient &c)
socketclient & | operator= (const socketclient &c)
virtual | ~socketclient ()
virtual bool | supportsBlockingNonBlockingModes ()
virtual bool | useNonBlockingMode () const
virtual bool | useBlockingMode () const
virtual bool | isUsingNonBlockingMode () const
virtual int32_t | ioCtl (int32_t command, void *arg) const
Public Member Functions inherited from client
| client ()
| client (const client &c)
client & | operator= (const client &c)
virtual | ~client ()
virtual void | initialize (constnamevaluepairs *cd)
virtual int32_t | connect ()
virtual const char * | getVerboseConnectError ()
virtual void | setVerboseConnectError (const char *error)
Public Member Functions inherited from filedescriptor
| filedescriptor ()
| filedescriptor (const filedescriptor &f)
filedescriptor & | operator= (const filedescriptor &f)
virtual | ~filedescriptor ()
virtual bool | close ()
int32_t | getFileDescriptor () const
void | setFileDescriptor (int32_t filedesc)
int32_t | duplicate () const
bool | duplicate (int32_t newfd) const
void | setSecurityContext (securitycontext *ctx)
securitycontext * | getSecurityContext ()
ssize_t | write (uint16_t number) const
ssize_t | write (uint32_t number) const
ssize_t | write (uint64_t number) const
ssize_t | write (int16_t number) const
ssize_t | write (int32_t number) const
ssize_t | write (int64_t number) const
ssize_t | write (float number) const
ssize_t | write (double number) const
ssize_t | write (unsigned char character) const
ssize_t | write (char character) const
ssize_t | write (bool value) const
ssize_t | write (const unsigned char *string) const
ssize_t | write (const char *string) const
ssize_t | write (const unsigned char *string, size_t size) const
ssize_t | write (const char *string, size_t size) const
ssize_t | write (const void *buffer, size_t size) const
ssize_t | write (uint16_t number, int32_t sec, int32_t usec) const
ssize_t | write (uint32_t number, int32_t sec, int32_t usec) const
ssize_t | write (uint64_t number, int32_t sec, int32_t usec) const
ssize_t | write (int16_t number, int32_t sec, int32_t usec) const
ssize_t | write (int32_t number, int32_t sec, int32_t usec) const
ssize_t | write (int64_t number, int32_t sec, int32_t usec) const
ssize_t | write (float number, int32_t sec, int32_t usec) const
ssize_t | write (double number, int32_t sec, int32_t usec) const
ssize_t | write (unsigned char character, int32_t sec, int32_t usec) const
ssize_t | write (char character, int32_t sec, int32_t usec) const
ssize_t | write (bool value, int32_t sec, int32_t usec) const
ssize_t | write (const unsigned char *string, int32_t sec, int32_t usec) const
ssize_t | write (const char *string, int32_t sec, int32_t usec) const
ssize_t | write (const unsigned char *string, size_t size, int32_t sec, int32_t usec) const
ssize_t | write (const char *string, size_t size, int32_t sec, int32_t usec) const
ssize_t | write (const void *buffer, size_t size, int32_t sec, int32_t usec) const
size_t | printf (const char *format,...)
size_t | printf (const char *format, va_list *argp)
void | safePrint (unsigned char c)
void | safePrint (const unsigned char *str)
void | safePrint (const unsigned char *str, int32_t length)
void | safePrint (char c)
void | safePrint (const char *str)
void | safePrint (const char *str, int32_t length)
void | printBits (unsigned char value)
void | printBits (uint16_t value)
void | printBits (uint32_t value)
void | printBits (uint64_t value)
void | printBits (char value)
void | printBits (int16_t value)
void | printBits (int32_t value)
void | printBits (int64_t value)
void | printBits (unsigned char *bits, uint64_t size)
ssize_t | read (uint16_t *buffer)
ssize_t | read (uint32_t *buffer)
ssize_t | read (uint64_t *buffer)
ssize_t | read (int16_t *buffer)
ssize_t | read (int32_t *buffer)
ssize_t | read (int64_t *buffer)
ssize_t | read (float *buffer)
ssize_t | read (double *buffer)
ssize_t | read (unsigned char *buffer)
ssize_t | read (char *buffer)
ssize_t | read (bool *buffer)
ssize_t | read (unsigned char *buffer, size_t size)
ssize_t | read (char *buffer, size_t size)
ssize_t | read (void *buf, size_t size)
ssize_t | read (char **buffer, const char *terminator)
ssize_t | read (char **buffer, const char *terminator, size_t maxbytes)
ssize_t | read (uint16_t *buffer, int32_t sec, int32_t usec)
ssize_t | read (uint32_t *buffer, int32_t sec, int32_t usec)
ssize_t | read (uint64_t *buffer, int32_t sec, int32_t usec)
ssize_t | read (int16_t *buffer, int32_t sec, int32_t usec)
ssize_t | read (int32_t *buffer, int32_t sec, int32_t usec)
ssize_t | read (int64_t *buffer, int32_t sec, int32_t usec)
ssize_t | read (float *buffer, int32_t sec, int32_t usec)
ssize_t | read (double *buffer, int32_t sec, int32_t usec)
ssize_t | read (unsigned char *buffer, int32_t sec, int32_t usec)
ssize_t | read (char *buffer, int32_t sec, int32_t usec)
ssize_t | read (bool *buffer, int32_t sec, int32_t usec)
ssize_t | read (unsigned char *buffer, size_t size, int32_t sec, int32_t usec)
ssize_t | read (char *buffer, size_t size, int32_t sec, int32_t usec)
ssize_t | read (void *buf, size_t size, int32_t sec, int32_t usec)
ssize_t | read (char **buffer, const char *terminator, int32_t sec, int32_t usec)
ssize_t | read (char **buffer, const char *terminator, size_t maxbytes, int32_t sec, int32_t usec)
ssize_t | read (char **buffer, const char *terminator, size_t maxbytes, char escapechar, int32_t sec, int32_t usec)
int32_t | waitForNonBlockingRead (int32_t sec, int32_t usec) const
int32_t | waitForNonBlockingWrite (int32_t sec, int32_t usec) const
void | retryInterruptedReads ()
void | dontRetryInterruptedReads ()
bool | getRetryInterruptedReads () const
void | retryInterruptedWrites ()
void | dontRetryInterruptedWrites ()
bool | getRetryInterruptedWrites () const
void | retryInterruptedWaits ()
void | dontRetryInterruptedWaits ()
bool | getRetryInterruptedWaits () const
void | retryInterruptedFcntl ()
void | dontRetryInterruptedFcntl ()
bool | getRetryInterruptedFcntl () const
void | retryInterruptedIoctl ()
void | dontRetryInterruptedIoctl ()
bool | getRetryInterruptedIoctl () const
void | allowShortReads ()
void | dontAllowShortReads ()
void | allowShortWrites ()
void | dontAllowShortWrites ()
virtual bool | passFileDescriptor (int32_t fd)
virtual bool | receiveFileDescriptor (int32_t *fd)
virtual bool | passSocket (int32_t sock)
virtual bool | receiveSocket (int32_t *sock)
void | translateByteOrder ()
void | dontTranslateByteOrder ()
virtual int32_t | fCntl (int32_t command, long arg) const
bool | useNaglesAlgorithm ()
bool | dontUseNaglesAlgorithm ()
bool | setTcpWriteBufferSize (int32_t size)
bool | getTcpWriteBufferSize (int32_t *size)
bool | setTcpReadBufferSize (int32_t size)
bool | getTcpReadBufferSize (int32_t *size)
bool | disableIPv4 ()
bool | enableIPv4 ()
const char * | getType () const
char * | getPeerAddress () const
bool | setWriteBufferSize (ssize_t size) const
bool | flushWriteBuffer (int32_t sec, int32_t usec) const
bool | setReadBufferSize (ssize_t size) const
bool | closeOnExec ()
bool | dontCloseOnExec ()
bool | getCloseOnExec ()

## Additional Inherited Members
Static Public Member Functions inherited from filedescriptor
static uint16_t | hostToNet (uint16_t value)
static uint32_t | hostToNet (uint32_t value)
static uint64_t | hostToNet (uint64_t value)
static uint16_t | netToHost (uint16_t value)
static uint32_t | netToHost (uint32_t value)
static uint64_t | netToHost (uint64_t value)

## Detailed Description

The socketclient class provides a base class for classes that implement the client side of a client-server communication model over a socket.

## Constructor & Destructor Documentation

socketclient::socketclient | ( |  | ) |

Creates an instance of the socketclient class.

socketclient::socketclient | ( | const socketclient & | c | ) |

Creates an instance of the socketclient class that is a copy of "c".

virtual socketclient::~socketclient | ( |  | ) |
| virtual

Deletes this instance of the socketclient class.

## Member Function Documentation

virtual int32_t socketclient::ioCtl | ( | int32_t | command,
|  | void * | arg
| ) |  | const
| virtual

Use the ioctl() system call to perform various low-level file descriptor operations.

Reimplemented from filedescriptor.

virtual bool socketclient::isUsingNonBlockingMode | ( |  | ) | const
| virtual

Returns true if the file descriptor is in non-blocking mode and false otherwise.

Reimplemented from filedescriptor.

socketclient& socketclient::operator= | ( | const socketclient & | c | ) |

Makes this instance of the socketclient class idenitcal to "c".

virtual bool socketclient::supportsBlockingNonBlockingModes | ( |  | ) |
| virtual

Returns true if the client socket supports blocking/nonblocking modes and false otherwise.

Reimplemented from filedescriptor.

virtual bool socketclient::useBlockingMode | ( |  | ) | const
| virtual

Puts the client socket in blocking mode. Returns true on success and false on failure. Returns false if the system doesn't support blocking/nonblocking modes.

Reimplemented from filedescriptor.

virtual bool socketclient::useNonBlockingMode | ( |  | ) | const
| virtual

Puts the client socket in non-blocking mode. Returns true on success and false on failure. Returns false if the system doesn't support blocking/nonblocking modes.

Reimplemented from filedescriptor.